package com.red.circle.other.infra.database.cache.key;

import com.red.circle.component.redis.RedisKeys;

/**
 * 打卡、签到相关key
 *
 * @author zongpubin on 2023/8/10
 */
public enum CheckInKeys implements RedisKeys {
  /**
   * 7日打卡.
   */
  SEVEN_CHECK_IN,

  /**
   * 7日签到标记.
   */
  DAY_SEVEN_CHECK_IN,

  /**
   * 每日打卡.
   */
  DAILY_CHECK_IN,

  /**
   * azizi签到
   */
  AZIZI_CHECK_IN,

  /**
   * azizi七日签到
   */
  AZIZI_SEVEN_CHECK_IN,

  ;

  @Override
  public String businessPrefix() {
    return null;
  }

  @Override
  public String businessKey() {
    return this.name();
  }
}
